> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-4.-geodata-properties.md).

# Content | 4. Geodata Properties

Update Geodata properties on an existing geo asset (Route and POI) such as **Custom ID**, **Tag**, **Guidebook Category** and **Image**.  Methods may require your **account ID** and **API key**, the asset's **ID**, and tag **ID**.<br>

* Replace <mark style="color:orange;">CCCCCC</mark> or `{account}`with your **account ID**. See [Overview](https://docs.guibo.travel/developers/overview#prerequisites) to find your **account ID**.
* Replace <mark style="color:orange;">xxxxxx-xxxxxx-xxxxxx-xxxxxx</mark> with the **API key**. See [Overview](https://docs.guibo.travel/developers/overview#prerequisites) to find your **API key**.
* Replace <mark style="color:orange;">pppppp</mark> with the asset's **ID**.&#x20;
* Replace `{customId}` with the asset's **Custom ID**.&#x20;
* Replace <mark style="color:orange;">tttttt</mark> with the tag's **ID** (`link`). See [List Tags](#b-updating-tags) in this page.
* Replace <mark style="color:orange;">catcat</mark> with the category's **ID** (`link`).&#x20;

### A) Update Custom ID

Update the **Custom ID** of an Asset using the asset's **ID**.  Replace `PALI242` with desired **Custom ID**.

```shellscript
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/pppppp/customid' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json' \
  --data-raw '
  {"value":"PALI242"}
  '
```

### B) Updating Tags

**List Tag**

List tags in your account using your **account ID**.

```shellscript
curl --location 'https://services.schneidergeo.com/content/account/CCCCCC/tags' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx'
```

**Create Tag**

Create a tag in your account using your **account ID**.&#x20;

* Required in body: JSON body with `names` and their respective language code.
* Optional: `sorting`

```shellscript
curl --location --request POST  'https://services.schneidergeo.com/content/tag/CCCCCC' \
  --header 'Content-Type: application/json' \
  --header  'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --data-raw '
   {"names":{"de":"Historisches","en":"Historic"},"sorting":0}
   '
```

**Add Tag to Geo Asset**

Add a tag to an existing geo asset using the asset's **ID**.

* Required in body: `value` - the tag **ID** of an existing tag.

```shellscript
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/pppppp/tag' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json' \
  --data-raw '
  {"value":"tttttt"}
  '
```

**Delete Tag from Geo Asset**

Delete a tag from a geo asset using the asset's **ID** and the tag **ID** of the tag you want to remove.&#x20;

```shellscript
curl --location --request DELETE 'https://services.schneidergeo.com/content/geodata/pppppp/tag/tttttt' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json'

```

### C) Move Geo Asset to Category

Move a geo asset to a category using the asset's **ID** and the category's **ID**.

```shellscript
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/asset/pppppp/category/catcat' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json'
```

### D) Add Image to Geo Asset <a href="#d-add-image" id="d-add-image"></a>

Add an image of type JPEG or PNG to a geo asset using your **account ID** and the asset's **Custom ID**.&#x20;

```shellscript
curl --location 'https://services.schneidergeo.com/content/geodata/asset/{account}/{customId}/image' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--form 'files=@"/Users/linus/images/poi_image.jpg"'
```

### E) Remove Images from Geo Asset

Remove all images from a geo asset using your **account ID** and the asset's custom ID.

```shellscript
curl --location --request DELETE 'https://services.schneidergeo.com/content/geodata/asset/{account}/{customId}/images'  \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guibo.travel/developers/content-api/content-or-4.-geodata-properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
